## gs-plugin-job-list-categories gs-plugin-job-list-categories — A plugin job to list categories |

## Functions

GsPluginJob * | gs_plugin_job_list_categories_new ()
GPtrArray * | gs_plugin_job_list_categories_get_result_list ()

## Types and Values

#define | GS_TYPE_PLUGIN_JOB_LIST_CATEGORIES
| GsPluginJobListCategories

## Description

GsPluginJobListCategories is a GsPluginJob representing an operation to list categories.

All results will be refined using the given set of refine flags, similarly to how GsPluginJobRefine refines apps.

This class is a wrapper around GsPluginClass.refine_categories_async, calling it for all loaded plugins on the list of categories exposed by a GsCategoryManager.

Retrieve the resulting GPtrArray of GsCategory objects using `gs_plugin_job_list_categories_get_result_list()`.

See also: GsPluginClass.refine_categories_async

## Functions

### gs_plugin_job_list_categories_new ()

    GsPluginJob *
    gs_plugin_job_list_categories_new (GsPluginRefineCategoriesFlags flags);

Create a new GsPluginJobListCategories for listing categories.

#### Parameters

flags | flags affecting how the operation runs |

#### Returns

a new GsPluginJobListCategories.

[transfer full]

Since: 43

### gs_plugin_job_list_categories_get_result_list ()

    GPtrArray *
    gs_plugin_job_list_categories_get_result_list
                                   (GsPluginJobListCategories *self);

Get the full list of categories.

If this is called before the job is complete, `NULL` will be returned.

#### Parameters

self | a GsPluginJobListCategories |

#### Returns

the job results, or `NULL` on error or if called before the job has completed.

[transfer none][nullable][element-type GsCategory]

Since: 43

## Types and Values

### GS_TYPE_PLUGIN_JOB_LIST_CATEGORIES

    #define GS_TYPE_PLUGIN_JOB_LIST_CATEGORIES (gs_plugin_job_list_categories_get_type ())

### GsPluginJobListCategories

    typedef struct _GsPluginJobListCategories GsPluginJobListCategories;